> For the complete documentation index, see [llms.txt](https://docs.petabox.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.petabox.io/http-api-compatible-with-amazon-s3/api-reference/deleteobjecttagging.md).

# DeleteObjectTagging

Removes the entire tag set from the specified object

To use this operation, you must have permission to perform the `s3:DeleteObjectTagging` action.

To delete tags of a specific object version, add the `versionId` query parameter in the request. You will need permission for the `s3:DeleteObjectVersionTagging` action.

## Request Syntax <a href="#api_deleteobjecttagging_requestsyntax" id="api_deleteobjecttagging_requestsyntax"></a>

```http
DELETE /{Key+}?tagging&versionId=VersionId HTTP/1.1
Host: Bucket.s3.petabox.io
x-amz-expected-bucket-owner: ExpectedBucketOwner
```

## URI Request Parameters <a href="#api_deleteobjecttagging_requestparameters" id="api_deleteobjecttagging_requestparameters"></a>

The request uses the following URI parameters.

#### Bucket

The bucket name containing the objects from which to remove the tags.

Required: Yes

#### Key

The key that identifies the object in the bucket from which to remove all tags.

Length Constraints: Minimum length of 1.

Required: Yes

#### versionId

The versionId of the object that the tag-set will be removed from.

#### x-amz-expected-bucket-owner

The account ID of the expected bucket owner. If the bucket is owned by a different account, the request fails with the HTTP status code `403 Forbidden` (access denied).

## Request Body <a href="#api_deleteobjecttagging_requestbody" id="api_deleteobjecttagging_requestbody"></a>

The request does not have a request body.

## Response Syntax <a href="#api_deleteobjecttagging_responsesyntax" id="api_deleteobjecttagging_responsesyntax"></a>

```
HTTP/1.1 204
x-amz-version-id: VersionId
```

## Response Elements <a href="#api_deleteobjecttagging_responseelements" id="api_deleteobjecttagging_responseelements"></a>

If the action is successful, the service sends back an HTTP 204 response.

The response returns the following HTTP headers.

#### x-amz-version-id

The versionId of the object the tag-set was removed from.

## Examples <a href="#api_deleteobjecttagging_examples" id="api_deleteobjecttagging_examples"></a>

### Sample Request <a href="#api_deleteobjecttagging_example_1" id="api_deleteobjecttagging_example_1"></a>

The following DELETE request deletes the tag set from the specified object.

```http
DELETE /exampleobject?tagging HTTP/1.1
Host: examplebucket.s3.<Region>.petabox.io  
Date: Wed, 25 Nov 2016 12:00:00 GMT
Authorization: signatureValue 
```

### Sample Response <a href="#api_deleteobjecttagging_example_2" id="api_deleteobjecttagging_example_2"></a>

The following successful response shows Petabox returning a 204 No Content response. The tag set for the object has been removed.

```http
HTTP/1.1 204 No Content
x-amz-versionid: VersionId
Date: Wed, 25 Nov 2016 12:00:00 GMT
Connection: close
Server: Petabox
```
